<?php
require_once('../connect/connect.php');
include_once('../lib/lib.php');

$error = "";
$msg = "";
$kol=0;

$papka_tmp = '../tmp_file/'.ip2long($_SERVER['REMOTE_ADDR']);

if(!file_exists($papka_tmp))
	{
	if (mkdir($papka_tmp))
		{
		chmod($papka_tmp, 0755);	
		}
	}

if(file_exists($papka_tmp))
	{
	$dir = opendir($papka_tmp);
	while(($file = readdir($dir)))
		{
		if (is_file ($papka_tmp."/".$file))
			{
			$f=explode('_', $file);
			if($f[1]=='s')
			$kol++;
			}
		}
	closedir ($dir);
	}
	
	
if($kol<$rru['limit_foto'])
	{
	$id_foto=time();
	
	if ($_FILES['foto']['tmp_name'])
  		{
		$ext = type_img($_FILES['foto']['type']);
  		if ($ext != ".jpg" && $ext != ".png" && $ext != ".gif") 
  		$err = "Недопустимый фрмат файла. Допускаются только файлы JPEG, PNG, GIF";
		$siz = $_FILES['foto']['size'];
		$size = number_format(($siz/1024),1,".","");
		if ($siz > 3*1024*1024) $err = "Максимальный размер фото не должен превышать 3 Мб";
	
		if(!$err)
			{
  			$big = $papka_tmp.'/'.$id_foto."_b_.jpg";
  			$small = $papka_tmp.'/'.$id_foto."_s_.jpg";
		
			$z=0;
			
			
			if($rru['vod_typ'] && $rru['vod_text'])
				{
				$vod_typ=$rru['vod_typ']; 
				$vod_text=$rru['vod_text'];
				$lok='../blok/arialbi.ttf';
				}
			else
				{
				$vod_typ=0; 
				$vod_text='';
				$lok='';
				}
				
			if (!smalling ($_FILES['foto']['tmp_name'], $big, $rru['r_foto_normal'], $rru['r_normal'], $ext, $vod_typ, $vod_text, $lok, $rru['vod_koef'])) $z=1; 
			if (!smalling ($_FILES['foto']['tmp_name'], $small, $rru['r_foto_mini'], $rru['r_mini'], $ext)) $z=1; 
			
			if($z)
				{
				if(file_exists($big) && is_file($big)) unlink($big);
				if(file_exists($small) && is_file($small)) unlink($small);
				$err = 'Не удалось загрузить фото';
				}
			}  
		} 
	} 
	
	echo "{";
	echo				"error: '" . $err . "',\n";
	echo				"msg: '" . $msg . "'\n";
	echo "}";
?>